﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace TTEFCore5.Migrations
{
    public partial class InitialCreate : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "People",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Name = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    ValidFromUTC = table.Column<DateTime>(type: "datetime2", nullable: false, defaultValueSql: "SYSUTCDATETIME()"),
                    ValidToUTC = table.Column<DateTime>(type: "datetime2", nullable: false, defaultValueSql: "CONVERT(DATETIME2, '9999-12-31 23:59:59.9999999')")
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_People", x => x.Id);
                });


            migrationBuilder.Sql(TemporalTablesExtensions.GetEnableTemporalTableSql("People"));
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "People");
        }
    }
}
